Mail archive
alpine-aports

[alpine-aports] [PATCH] main/php-phalcon: upgrade to stable 2.0.8

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Sat, 7 Nov 2015 14:31:59 +0200

---
 main/php-phalcon/10.cphalcon.patch | 13 -------
 main/php-phalcon/APKBUILD          | 69 +++++++++++++++++---------------------
 main/php-phalcon/phalcon.ini       |  3 --
 3 files changed, 31 insertions(+), 54 deletions(-)
 delete mode 100644 main/php-phalcon/10.cphalcon.patch
 delete mode 100644 main/php-phalcon/phalcon.ini
diff --git a/main/php-phalcon/10.cphalcon.patch b/main/php-phalcon/10.cphalcon.patch
deleted file mode 100644
index f928bc7..0000000
--- a/main/php-phalcon/10.cphalcon.patch
+++ /dev/null
_at_@ -1,13 +0,0 @@
-diff --git a/build/install b/build/install
-index a0bc399..514bce7 100755
---- a/build/install
-+++ b/build/install
-_at_@ -61,4 +61,7 @@ if [ -f Makefile ]; then
- fi
- 
- #Perform the compilation
--phpize && ./configure --enable-phalcon && make && make install && echo -e "\nThanks for compiling Phalcon!\nBuild succeed: Please restart your web server to complete the installation"
-+# phpize && ./configure --enable-phalcon && make && make install && echo -e "\nThanks for compiling Phalcon!\nBuild succeed: Please restart your web server to complete the installation"
-+export PHALCONARCH="$DIR"
-+phpize && ./configure --enable-phalcon && make
-+
diff --git a/main/php-phalcon/APKBUILD b/main/php-phalcon/APKBUILD
index 3d8628c..4105983 100644
--- a/main/php-phalcon/APKBUILD
+++ b/main/php-phalcon/APKBUILD
_at_@ -1,53 +1,46 @@
-# Contributor: V.Krishn <vkrishn4_at_gmail.com>
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=php-phalcon
-pkgver=2.0.7
+_pkgreal=phalcon
+pkgver=2.0.8
+_pkgver=v$pkgver
 pkgrel=0
-pkgdesc="Web framework delivered as a C-extension for PHP"
-url="https://github.com/phalcon/cphalcon"
-arch="all"
+pkgdesc="PHP extension that provides web framework delivered as a C-extension"
+url="https://github.com/$_pkgreal/c$_pkgreal"
+arch="x86 x86_64"
 license="PHP"
-depends="php php-pdo php-json"
-makedepends="php-dev autoconf grep sed pcre-dev gawk re2c"
+depends="php-pdo php-json"
+makedepends="php-dev autoconf re2c pcre-dev"
+install=""
 subpackages=""
-source="saveas-https://github.com/phalcon/cphalcon/archive/phalcon-v$pkgver.tar.gz/$pkgname-$pkgver.tar.gz
-phalcon.ini
-10.cphalcon.patch
-"
+source="https://github.com/$_pkgreal/c$_pkgreal/archive/$_pkgreal-$_pkgver.tar.gz"
+
+_builddir="$srcdir"/c$_pkgreal-$_pkgreal-$_pkgver/build
 
-_builddir="$srcdir/cphalcon-phalcon-v$pkgver"
 prepare() {
-        cd "$_builddir"
-        for i in $source; do
-                case $i in
-                *.patch)
-                        msg "Applying $i"
-                        patch -p1 -i "$srcdir"/$i || return 1
-                        ;;
-                esac
-        done
+	cd "$_builddir"
+	case $(uname -m) in
+		i[3-6]86) ln -s 32bits arch ;;
+		x86_64) ln -s 64bits arch ;;
+		*) return 1 ;;
+	esac
 }
 
 build() {
-	cd "$_builddir/build"
-	source ./install || return 1
+	cd "$_builddir"/arch
+	phpize || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
 }
 
 package() {
-	cd "$_builddir/build/$PHALCONARCH"
-	make INSTALL_ROOT=$pkgdir install || return 1
-	install -D -m644 "$srcdir"/phalcon.ini "$pkgdir"/etc/php/conf.d/phalcon.ini
+	cd "$_builddir"/arch
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	install -d "$pkgdir"/etc/php/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
+	[ -d "$pkgdir"/usr/include ] && rm -fr "$pkgdir"/usr/include
 }
 
-
-
-
-md5sums="a2d785fb86723675e58503e42db7724a  php-phalcon-2.0.7.tar.gz
-4ff799a0f333728c44b7e7cf38af8d98  phalcon.ini
-12112063b1b10e2257a3763fa21e216f  10.cphalcon.patch"
-sha256sums="45d02149688cd66857d2414a1bbe1354164266a3f5dd8f77fa7fe6f238dacd4b  php-phalcon-2.0.7.tar.gz
-e8a4178c51f104e28c6d79737b8e240cb35c3b96501ed5a866b9da3ff298d39c  phalcon.ini
-919eea78cee4d7f879d3dedd819453a0dd3304f6b0eea6e08ccee240fbb795c8  10.cphalcon.patch"
-sha512sums="7c7eb986bc765bf6ff9053c61077a1ec9bc44f9e4c87a8e01e99b1b1572d317c1dfe80792a275649ba6dcaf98549f8cd0253312c1a60b64f297ee9d122592be5  php-phalcon-2.0.7.tar.gz
-559daf31ccc73184ebd27f17088ee8b336015c391baa21c707cf2cca999f9737bf80d224467af74b5049019ae7f222235fcfec07391fede2e25becfad4fcf5a1  phalcon.ini
-4877319bb79ddd8e52cdbd984a0d00199241406d73228c229a2430148653f6d5ef36c036d60ea7e661f2a46ed3e0bc747cf0bccbbbef24cc798700cfc39d5b3c  10.cphalcon.patch"
+md5sums="880cb23f79eb0d12db267a3d8dae9123  phalcon-v2.0.8.tar.gz"
+sha256sums="ff61532ebb5dd99c43ce0ba508f0f37b87607f24fb7f595268dbe6331f3c906b  phalcon-v2.0.8.tar.gz"
+sha512sums="24394805fcc78119deadb998b2286bca6b35db070b425c518f8ad3da5b0625ffdcd8a6d9da0b5691c418cc4718336d318996fa681e3c3d98fd91ef2c3117222a  phalcon-v2.0.8.tar.gz"
diff --git a/main/php-phalcon/phalcon.ini b/main/php-phalcon/phalcon.ini
deleted file mode 100644
index 5a68fe2..0000000
--- a/main/php-phalcon/phalcon.ini
+++ /dev/null
_at_@ -1,3 +0,0 @@
-[phalcon]
-extension=phalcon.so
-
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Nov 07 2015 - 14:31:59 GMT